Hosts
Get all hosts
This request will return all hosts to which you are connected.
Exalpme
https://mobile.proxy-seller.com/api/v1/hostsHeaders
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Response
[
{
"id": "21vjv1224n45v7457mvcas",
"name": "Host Number 1",
"number": "101"
}
]AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILEDGet modems
This query will return all your modems that are connected to the specified host ID
Example
https://mobile.proxy-seller.com/api/v1/hosts/21vjv1224n45v7457mvcas/modemsPath Parameters
Name | Type | Description |
|---|---|---|
hostId* | String | Id of host |
Headers
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Response
[
{
"id": "63c234098746e15666325bf9f",
"ip": "",
"use": false,
"status": "DOWN",
"ipProxy": "101.111.44.191",
"portHttp": "40303",
"portSocks": "50303",
"simProvider": "MTS UKR",
"simNumber": null,
"hostId": "21vjv1224n45v7457mvcas"
}
]AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILED,
HOST_USER_ID_AND_AUTH_DOES_NOT_MATCHINVALID_HOST_IDINVALID_HOSTChange host name
This request change the name of host.
Example
https://mobile.proxy-seller.com/api/v1/hosts/21vjv1224n45v7457mvcas/changeNamePath parameters
Name | Type | Description |
|---|---|---|
hostId* | String | id of host |
Headers
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Request body
Name | Type | Description |
|---|---|---|
name* | String | new host name |
Example request body
{
"name": "Host new name"
}Response
{
"id": "21vjv1224n45v7457mvcas",
"name": "Host new name",
"number": "101"
}AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILED,
HOST_USER_ID_AND_AUTH_DOES_NOT_MATCHINVALID_HOST_ID,HOST_NOT_FOUNDReboot all modems
Reboot all modems within the host.
This request reboot all modems on the selected host.
Example:
https://mobile.proxy-seller.com/api/v1/hosts/21vjv1224n45v7457mvcas/rebootHeaders
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Path Parameters
Name | Type | Description |
|---|---|---|
hostId* | String | id of host |
Response
successful answer has no body, the success state is determined by the status 200
AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILED,
HOST_USER_ID_AND_AUTH_DOES_NOT_MATCHINVALID_HOST_ID,Export info all modems
Downloading information from all modems within the host.
This request return file with modems info form one selected host
Example:
https://mobile.proxy-seller.com/api/v1/hosts/21vjv1224n45v7457mvcas/exportHeaders
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Path Parameters
Name | Type | Description |
|---|---|---|
hostId* | String | id of host |
Body
Name | Type | Description |
|---|---|---|
extension* | enum: ["txt", "csv", "xlsx"] | file extension for which the data will be formatted |
fileName | String | name of file |
format | String | the column order of the source file |
format can consist of the values: "%number%, %ip%, %use%". The values should be specified in any order you like, comma-separated, without spaces. in case of absence of format, the default format is used.
Example request body:
{
"extension": "txt",
"format": "%number%,%ip%,%use%",
"fileName": "test"
}Response
%number%,%ip%,%use%
101,101.111.44.191,false
AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILED,
HOST_USER_ID_AND_AUTH_DOES_NOT_MATCHINVALID_HOST_ID,